package com.bizmatics.mhfire.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author yq
 * @date 2021/5/25 15:02
 * 监督检查-行政执法总表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(value="`jdjc-xzzftj-all`")
public class JdjcXzzftjAll implements Serializable {
    private static final long serialVersionUID=1L;
    @TableField("ID")
    private String lawId;

    @TableField("'单位编号'")
    private String companyCode;

    @TableField("'是否包含下属 默认1 是'")
    private String includeBranch;

    @TableField("'是否包含派出所 默认0 否'")
    private String includePoliceStation;

    @TableField("'是否派出所汇总0否 1是'")
    private String policeStationSummary;

    @TableField("'是否合计'")
    private String amountTo;

    @TableField("'是否混合部署0否 1是'")
    private String mixedDeploy;

    @TableField("'数据日期'")
    private String dataTime;

    @TableField("'目标数据交换的单位'")
    private String dataExchangeUnit;

    @TableField("'监督检查出动人数（人、次）'")
    private String inspectPersonNumber;

    @TableField("'检查单位（家、次）'")
    private String inspectCompany;

    @TableField("'发现火灾隐患或违法行为（处）'")
    private String fireHazard;

    @TableField("'发临时查封决定书（份）'")
    private String temporarySeizure;

    @TableField("'发责令改正通知书'")
    private String correctionNotice;

    @TableField("'发同意/不同意解除临时查封决定书'")
    private String relieveTemporarySeizure;

    @TableField("'发消防安全检查合格证'")
    private String inspectCertificate;

    @TableField("'发举办前消防安全检查意见书'")
    private String inspectOpinions;

    @TableField("'发不同意投入使用营业决定书'")
    private String inspectOpinions1;

    @TableField("'发撤销批准决定书'")
    private String revokeApproval;

    @TableField("'督促整改火灾隐患或违法行为'")
    private String rectificateFireHazard;

    @TableField("'监督抽查'")
    private String spotCheck;

    @TableField("'投入使用营业安全检查（起）'")
    private String jobInspect;

    @TableField("'举报投诉检查'")
    private String enforceInspect;

    @TableField("Col_115")
    private String col115;

    @TableField("'其它检查'")
    private String otherInspect;

    @TableField("复查")
    private String review;

    @TableField("'举办前安全检查（个 次）'")
    private String holdInspect;

    @TableField("监督抽查01")
    private String spotCheck1;

    @TableField("投入使用营业前安全检查")
    private String jobBeforeInspect;

    @TableField("举办前安全检查")
    private String holdBeforeInspect;

    @TableField("举报投诉检查01")
    private String enforceInspect1;

    @TableField("其他检查")
    private String otherInspect2;

    @TableField("复查01")
    private String review1;

    @TableField("Col_127")
    private String col127;

    @TableField("Col_128")
    private String col128;

    @TableField("举办消防培训班")
    private String fireTrainClass;

    @TableField("培训教育")
    private String trainEducation;

    @TableField("Col_203")
    private String col203;

    @TableField("Col_204")
    private String col204;

    @TableField("Col_205")
    private String col205;

    @TableField("受理审核项目")
    private String acceptReviewItems;

    @TableField("发审核意见书")
    private String reviewOpinions;

    @TableField("受理验收项目")
    private String acceptItems;

    @TableField("发验收意见书")
    private String acceptOpinions;

    @TableField("消防设计备案抽查")
    private String design_filing;

    @TableField("'发消防设计/竣工验收消防违法通知书'")
    private String designIllegalNotice;

    @TableField("竣工验收消防备案抽查")
    private String completeProtectionRecord;

    @TableField("'发消防设计/竣工验收消防复查意见书'")
    private String designReviewOpinions;

    @TableField("Col_309")
    private String col309;

    @TableField("Col_310")
    private String col310;

    @TableField("审核建筑面积")
    private String reviewBuildArea;

    @TableField("Col_322")
    private String col322;

    @TableField("Col_323")
    private String col323;

    @TableField("实施产品消防监督的在建工程")
    private String progressConstruction;

    @TableField("不符合市场准入制度的批次")
    private String inconformityAccessSystem;

    @TableField("现场检查判定合格批次")
    private String siteInspectQualified;

    @TableField("现场检查判定不合格批次")
    private String siteInspectUnqualified;

    @TableField("抽封样检测合格批次")
    private String samplingInspectQualified;

    @TableField("抽封样检测不合格批次")
    private String samplingInspectUnqualified;

    @TableField("撤除更换产品批次")
    private String removalReplace;

    @TableField("办理产品行政案件")
    private String productCases;

    @TableField("Col_409")
    private String col409;

    @TableField("Col_410")
    private String col410;

    @TableField("组织火灾事故调查")
    private String fireAccidentCheck;

    @TableField("受理火灾事故认定复核申请")
    private String acceptReviewApplication;

    @TableField("出具火灾事故认定书")
    private String fireVerificate;

    @TableField("出具火灾事故认定复核结论书")
    private String fireReviewConclusion;

    @TableField("出具火灾事故简易调查认定书")
    private String fireSimpleVerificate;

    @TableField("出具案件移送通知书")
    private String caseTransferNotice;

    @TableField("出具封闭火灾现场公告")
    private String fireSiteAnnounce;

    @TableField("Col_508")
    private String col508;

    @TableField("Col_509")
    private String col509;

    @TableField("Col_510")
    private String col510;

    @TableField("立案查处")
    private String col511;

    @TableField("移送起诉")
    private String col512;

    @TableField("Col_603")
    private String col603;

    @TableField("Col_604")
    private String col604;

    @TableField("Col_605")
    private String col605;

    @TableField("起数")
    private String occurrencesNumber;

    @TableField("警告")
    private String warnNumber;

    @TableField("罚款个人")
    private String finePerson;

    @TableField("罚款单位")
    private String fineCompany;

    @TableField("罚款金额")
    private String fineAmount;

    @TableField("责令“三停”")
    private String orderThreeStops;

    @TableField("拘留")
    private String detention;

    @TableField("'发同意、不同意恢复施工、使用、生产、均经营决定书'")
    private String operationDecision;

    @TableField("没收财物")
    private String confiscateProperty;

    @TableField("没收财物折合人民币")
    private String confiscatePropertyRmb;

    @TableField("没收违法所得")
    private String illegalIncome;

    @TableField("'发处罚决定书（份）'")
    private String punishmentDecision;

    @TableField("Col_713")
    private String col713;

    @TableField("Col_714")
    private String col714;

    @TableField("Col_715")
    private String col715;

    @TableField("当场收缴罚款")
    private String collecteFines;

    @TableField("当场处罚起数")
    private String penaltyNumber;

    @TableField("当场处罚警告")
    private String penaltyWarn;

    @TableField("当场处罚罚款个人")
    private String penaltyIndividual;

    @TableField("当场处罚罚款单位")
    private String penaltyCompany;

    @TableField("当场处罚罚款金额")
    private String penaltyAmount;

    @TableField("Col_737")
    private String col737;

    @TableField("Col_738")
    private String col738;

    @TableField("Col_739")
    private String col739;

    @TableField("组织听证")
    private String organizeHearing;

    @TableField("自行组织强制执行")
    private String organizeEnforce;

    @TableField("申请法院强制执行")
    private String courtEnforce;

    @TableField("法院受理")
    private String courtAcceptance;

    @TableField("强制执行到位")
    private String enforceInplace;

    @TableField("执行到位")
    private String implementInplace;

    @TableField("Col_757")
    private String col757;

    @TableField("Col_758")
    private String col758;

    @TableField("Col_759")
    private String col759;

    @TableField("被申请复议")
    private String applyReconsideration;

    @TableField("维持原裁决")
    private String maintainOriginalVerdict;

    @TableField("改变原裁决")
    private String changeOriginalVerdict;

    @TableField("被申请复查")
    private String applyReview;

    @TableField("维持原认定意见")
    private String maintainCognizanceOpinion;

    @TableField("改变原认定意见")
    private String changeCognizanceOpinion;

    @TableField("发行政强制执行决定书")
    private String enforcementDecision;

    @TableField("Col_778")
    private String col778;

    @TableField("Col_779")
    private String col779;

    @TableField("行政诉讼应诉")
    private String litigationRespond;

    @TableField("胜诉")
    private String winLawsuit;

    @TableField("败诉")
    private String loseLawsuit;

    @TableField("Col_794")
    private String col794;

    @TableField("Col_795")
    private String col795;

    @TableField("被申请赔偿")
    private String claimCompensation;

    @TableField("赔偿")
    private String compensation;

    @TableField("赔偿金额")
    private String compensationAmount;

    @TableField("Col_804")
    private String col804;

    @TableField("Col_805")
    private String col805;

    @TableField("'是否为手工上报 默认0否'")
    private String manualSubmission;

    @TableField("Acc")
    private String acc;

    @TableField("AccName")
    private String accName;

    @TableField("InTime")
    private String inTime;

    @TableField("ChgAcc")
    private String chgAcc;

    @TableField("ChgAccName")
    private String chgAccName;

    @TableField("ChgTime")
    private String chgTime;

    @TableField("Ip")
    private String ip;

    @TableField("Deleted")
    private String deleted;

    @TableField("备用字段1")
    private String alternateField1;

    @TableField("备用字段2")
    private String alternateField2;

    @TableField("备用字段3")
    private String alternateField3;

    @TableField("记录状态")
    private String recordStatus;

    @TableField("数据提交时间")
    private String dataSubmitTime;

    @TableField("数据接收时间")
    private String dataReceiveTime;

    @TableField("操作描述")
    private String operateDescribe;

    @TableField("Row_Version")
    private String rowVersion;

    @TableField("BDP_AUDIT")
    private String bdpAudit;

    @TableField("机构简称")
    private String organizeAbbreviat;

    @TableField("unionKey")
    private String unionKey;

    /**
     * 主键ID
     */
    @TableId(value = "user_design_id")
    private Integer id;

}
